"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Demo_1 = tslib_1.__importDefault(require("../demo/Demo"));
var Button_1 = require("./Button");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@storybook/react");
var demoStyle = {
    fontWeight: 'bold',
    color: 'blue',
};
react_2.storiesOf('Button', module)
    .add('Default', function () { return (react_1.default.createElement(Demo_1.default, null,
    react_1.default.createElement(Button_1.Button, null, "Default"),
    react_1.default.createElement(Button_1.Button, { isDisabled: true }, "Disabled"),
    react_1.default.createElement(Button_1.Button, { style: demoStyle }, "Styled"))); })
    .add('Primary', function () { return (react_1.default.createElement(Demo_1.default, null,
    react_1.default.createElement(Button_1.Button, { isPrimary: true }, "Primary"),
    react_1.default.createElement(Button_1.Button, { isPrimary: true, isDisabled: true }, "Disabled"))); })
    .add('Flat', function () { return (react_1.default.createElement(Demo_1.default, null,
    react_1.default.createElement(Button_1.Button, { isFlat: true }, "Flat"),
    react_1.default.createElement(Button_1.Button, { isFlat: true, isDisabled: true }, "Flat Disabled"),
    react_1.default.createElement(Button_1.Button, { isPrimary: true, isFlat: true }, "Primary Flat"),
    react_1.default.createElement(Button_1.Button, { isPrimary: true, isFlat: true, isDisabled: true }, "Primary Flat Disabled"))); })
    .add('Loading', function () { return (react_1.default.createElement(Demo_1.default, null,
    react_1.default.createElement(Button_1.Button, { isLoading: true }, "Loading"),
    react_1.default.createElement(Button_1.Button, { isDisabled: true, isLoading: true }, "Loading Disabled"),
    react_1.default.createElement(Button_1.Button, { isFlat: true, isLoading: true }, "Loading Flat"),
    react_1.default.createElement(Button_1.Button, { isFlat: true, isLoading: true, isDisabled: true }, "Loading Flat Disabled"))); });
//# sourceMappingURL=Button.page.js.map