"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@storybook/react");
var ButtonIcon_1 = require("./ButtonIcon");
var Demo_1 = tslib_1.__importDefault(require("../demo/Demo"));
var list_item_tick_icon_1 = require("../../icons/list-item-tick-icon");
var ButtonIcon_page_styl_1 = tslib_1.__importDefault(require("./ButtonIcon.page.styl"));
var buttonTheme = {
    container: ButtonIcon_page_styl_1.default.button,
    icon: ButtonIcon_page_styl_1.default.icon,
};
var icon = react_1.default.createElement(list_item_tick_icon_1.ListItemTickIcon, null);
react_2.storiesOf('ButtonIcon', module)
    .add('Default', function () {
    return (react_1.default.createElement(Demo_1.default, null,
        react_1.default.createElement(ButtonIcon_1.ButtonIcon, { icon: icon, theme: buttonTheme })));
})
    .add('Flat', function () { return (react_1.default.createElement(Demo_1.default, null,
    react_1.default.createElement(ButtonIcon_1.ButtonIcon, { icon: icon, theme: buttonTheme, isFlat: true }))); })
    .add('Disabled', function () { return (react_1.default.createElement(Demo_1.default, null,
    react_1.default.createElement(ButtonIcon_1.ButtonIcon, { icon: icon, theme: buttonTheme, isFlat: true }))); });
//# sourceMappingURL=ButtonIcon.page.js.map