"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Input_1 = require("../input/Input");
var Input_demo_styl_1 = tslib_1.__importDefault(require("../input/Input.demo.styl"));
var Button_1 = require("../Button/Button");
var Button_styl_1 = tslib_1.__importDefault(require("../Button/Button.styl"));
var LoadingIndicator_1 = require("../LoadingIndicator/LoadingIndicator");
var LoadingIndicator_demo_styl_1 = tslib_1.__importDefault(require("../LoadingIndicator/LoadingIndicator.demo.styl"));
var Checkbox_1 = require("../Checkbox/Checkbox");
var Checkbox_demo_styl_1 = tslib_1.__importDefault(require("../Checkbox/Checkbox.demo.styl"));
var Popover_1 = require("../Popover/Popover");
var Popover_demo_styl_1 = tslib_1.__importDefault(require("../Popover/demo/theme/Popover.demo.styl"));
var List_1 = require("../List/List");
var List_demo_styl_1 = tslib_1.__importDefault(require("../List/List.demo.styl"));
var Menu_1 = require("../Menu/Menu");
var Menu_demo_styl_1 = tslib_1.__importDefault(require("../Menu/Menu.demo.styl"));
var Selectbox_1 = require("../Selectbox/Selectbox");
var Selectbox_demo_styl_1 = tslib_1.__importDefault(require("../Selectbox/Selectbox.demo.styl"));
var Table_1 = require("../Table/Table");
var Table_demo_styl_1 = tslib_1.__importDefault(require("../Table/Table.demo.styl"));
var HorizontalScrollbar_1 = require("../Scrollbar/HorizontalScrollbar");
var HorizontalScrollbar_demo_styl_1 = tslib_1.__importDefault(require("../Scrollbar/HorizontalScrollbar.demo.styl"));
var VerticalScrollbar_1 = require("../Scrollbar/VerticalScrollbar");
var VerricalScrollbar_demo_styl_1 = tslib_1.__importDefault(require("../Scrollbar/VerricalScrollbar.demo.styl"));
var Scrollable_1 = require("../Scrollable/Scrollable");
var Scrollable_styl_1 = tslib_1.__importDefault(require("../Scrollable/Scrollable.styl"));
var Grid_1 = require("../Grid/Grid");
var Grid_styl_1 = tslib_1.__importDefault(require("../Grid/Grid.styl"));
var ButtonIcon_1 = require("../ButtonIcon/ButtonIcon");
var ButtonIcon_styl_1 = tslib_1.__importDefault(require("../ButtonIcon/ButtonIcon.styl"));
var PasswordInput_1 = require("../PasswordInput/PasswordInput");
var PasswordInput_demo_styl_1 = tslib_1.__importDefault(require("../PasswordInput/PasswordInput.demo.styl"));
var Link_1 = require("../Link/Link");
var Link_styl_1 = tslib_1.__importDefault(require("../Link/Link.styl"));
var ToggleButtons_1 = require("../ToggleButtons/ToggleButtons");
var ToggleButtons_demo_styl_1 = tslib_1.__importDefault(require("../ToggleButtons/ToggleButtons.demo.styl"));
var LoadingIndication_1 = require("../LoadingIndication/LoadingIndication");
var LoadingIndication_demo_styl_1 = tslib_1.__importDefault(require("../LoadingIndication/LoadingIndication.demo.styl"));
var Popup_1 = require("../Popup/Popup");
var Popup_demo_styl_1 = tslib_1.__importDefault(require("../Popup/Popup.demo.styl"));
var SteppableInput_1 = require("../SteppableInput/SteppableInput");
var SteppableInput_styl_1 = tslib_1.__importDefault(require("../SteppableInput/theme/SteppableInput.styl"));
var Input_styl_1 = tslib_1.__importDefault(require("../SteppableInput/theme/Input.styl"));
var ButtonIcon_demo_styl_1 = tslib_1.__importDefault(require("../SteppableInput/theme/ButtonIcon.demo.styl"));
var TimeInput_1 = require("../TimeInput/TimeInput");
var TimeInput_styl_1 = tslib_1.__importDefault(require("../TimeInput/theme/TimeInput.styl"));
var DateInput_1 = require("../DateInput/DateInput");
var DateInput_demo_styl_1 = tslib_1.__importDefault(require("../DateInput/theme/DateInput.demo.styl"));
var ButtonIcon_demo_styl_2 = tslib_1.__importDefault(require("../DateInput/theme/ButtonIcon.demo.styl"));
var Autocomplete_1 = require("../Autocomplete/Autocomplete");
var Autocomplete_styl_1 = tslib_1.__importDefault(require("../Autocomplete/Autocomplete.styl"));
var Expandable_1 = require("../Expandable/Expandable");
var Expandable_demo_styl_1 = tslib_1.__importDefault(require("../Expandable/Expandable.demo.styl"));
exports.default = (_a = {},
    _a[Input_1.INPUT] = Input_demo_styl_1.default,
    _a[Button_1.BUTTON] = Button_styl_1.default,
    _a[LoadingIndicator_1.LOADING_INDICATOR] = LoadingIndicator_demo_styl_1.default,
    _a[Checkbox_1.CHECKBOX] = Checkbox_demo_styl_1.default,
    _a[Popover_1.POPOVER] = Popover_demo_styl_1.default,
    _a[List_1.LIST] = List_demo_styl_1.default,
    _a[Menu_1.MENU] = Menu_demo_styl_1.default,
    _a[Selectbox_1.SELECTBOX] = Selectbox_demo_styl_1.default,
    _a[Expandable_1.EXPANDABLE] = Expandable_demo_styl_1.default,
    _a[Table_1.TABLE] = Table_demo_styl_1.default,
    _a[HorizontalScrollbar_1.HORIZONTAL_SCROLLBAR] = HorizontalScrollbar_demo_styl_1.default,
    _a[VerticalScrollbar_1.VERTICAL_SCROLLBAR] = VerricalScrollbar_demo_styl_1.default,
    _a[Scrollable_1.SCROLLABLE] = Scrollable_styl_1.default,
    _a[Autocomplete_1.AUTOCOMPLETE] = Autocomplete_styl_1.default,
    _a[Grid_1.GRID] = Grid_styl_1.default,
    _a[ButtonIcon_1.BUTTON_ICON] = ButtonIcon_styl_1.default,
    _a[DateInput_1.DATE_INPUT] = tslib_1.__assign(tslib_1.__assign({}, DateInput_demo_styl_1.default), { ButtonIcon: ButtonIcon_demo_styl_2.default, CalendarButtonIcon: ButtonIcon_demo_styl_2.default }),
    _a[SteppableInput_1.STEPPABLE_INPUT] = tslib_1.__assign(tslib_1.__assign({}, SteppableInput_styl_1.default), { Input: Input_styl_1.default, ButtonIcon: ButtonIcon_demo_styl_1.default, ClearButtonIcon: ButtonIcon_demo_styl_1.default }),
    _a[TimeInput_1.TIME_INPUT] = TimeInput_styl_1.default,
    _a[PasswordInput_1.PASSWORD_INPUT] = {
        container: PasswordInput_demo_styl_1.default.container,
        Input: {
            container: PasswordInput_demo_styl_1.default.input,
        },
        RevealButton: {
            container: PasswordInput_demo_styl_1.default.button,
            icon: PasswordInput_demo_styl_1.default.icon,
        },
    },
    _a[Link_1.LINK] = Link_styl_1.default,
    _a[ToggleButtons_1.TOGGLE_BUTTONS] = ToggleButtons_demo_styl_1.default,
    _a[LoadingIndication_1.LOADING_INDICATION] = LoadingIndication_demo_styl_1.default,
    _a[Popup_1.POPUP] = Popup_demo_styl_1.default,
    _a);
//# sourceMappingURL=theme.js.map