"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@storybook/react");
var Demo_1 = require("../demo/Demo");
var Expandable_1 = require("./Expandable");
var Control_1 = require("../Control/Control");
var ExpandableHandler_1 = require("./ExpandableHandler");
var Stateful = Control_1.stateful()(Expandable_1.Expandable);
var CustomHandler = /** @class */ (function (_super) {
    tslib_1.__extends(CustomHandler, _super);
    function CustomHandler() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CustomHandler.prototype.render = function () {
        var _a = this.props, theme = _a.theme, isExpanded = _a.isExpanded;
        var text = isExpanded ? 'Close me!' : 'Open me!';
        return (react_1.default.createElement(ExpandableHandler_1.ExpandableHandler, { theme: theme, isExpanded: isExpanded },
            react_1.default.createElement("div", null, text)));
    };
    return CustomHandler;
}(react_1.default.Component));
react_2.storiesOf('Expandable', module).add('default', function () { return (react_1.default.createElement(Demo_1.Demo, null,
    react_1.default.createElement(Stateful, { defaultValue: undefined, Handler: CustomHandler },
        "You will not be asked for further confirmation of trades. ",
        react_1.default.createElement("br", null),
        "Trades will be executed with on click."))); });
//# sourceMappingURL=Expandable.page.js.map