"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var withTheme_1 = require("../../utils/withTheme");
var Menu_1 = require("../Menu/Menu");
var Highlight_1 = require("../Highlight/Highlight");
var with_defaults_1 = require("../../utils/with-defaults");
var AUTOCOMPLETE_MENU_ITEM = Symbol('AutocompleteMenuItem');
var RawAutocompleteMenuItem = /** @class */ (function (_super) {
    tslib_1.__extends(RawAutocompleteMenuItem, _super);
    function RawAutocompleteMenuItem() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawAutocompleteMenuItem.prototype.render = function () {
        var _a = this.props, search = _a.search, theme = _a.theme, menuItemProps = tslib_1.__rest(_a, ["search", "theme"]);
        return (react_1.default.createElement(Menu_1.MenuItem, tslib_1.__assign({}, menuItemProps),
            react_1.default.createElement(Highlight_1.Highlight, { search: search, theme: theme.Highlight }, this.props.value)));
    };
    return RawAutocompleteMenuItem;
}(react_1.default.Component));
exports.AutocompleteMenuItem = withTheme_1.withTheme(AUTOCOMPLETE_MENU_ITEM)(with_defaults_1.withDefaults({
    search: '',
})(RawAutocompleteMenuItem));
//# sourceMappingURL=AutocompleteMenuItem.js.map