import React from 'react';
import { ComponentClass } from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { TControlProps } from '../Control/Control';
export declare const CHECKBOX: symbol;
export declare type TFullCheckboxProps = TControlProps<boolean | undefined> & {
    id?: string;
    checkMark: React.ReactNode;
    isDisabled?: boolean;
    theme: {
        container?: string;
        container_isDisabled?: string;
        input?: string;
        view?: string;
        view_isDisabled?: string;
        icon?: string;
        icon_isChecked?: string;
        icon_isDisabled?: string;
    };
};
export declare type TCheckboxProps = PartialKeys<TFullCheckboxProps, 'theme'>;
export declare const Checkbox: ComponentClass<TCheckboxProps>;
