import { ComponentClass, ReactElement } from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare type TRawDeferredProps = {
    render: () => ReactElement<any>;
    children?: ReactElement<any>;
    delay: number;
};
export declare type TDeferredProps = PartialKeys<TRawDeferredProps, 'delay'>;
export declare const Deferred: ComponentClass<TDeferredProps>;
