import { ComponentClass, ReactElement } from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare const EXPANDABLE_HEADER: symbol;
export declare type TFullExpandableHandlerProps = {
    isExpanded?: boolean;
    theme: {
        container?: string;
    };
    children: ReactElement<any>;
};
export declare type TExpandableHandlerProps = PartialKeys<TFullExpandableHandlerProps, 'theme' | 'isExpanded'>;
export declare const ExpandableHandler: ComponentClass<TExpandableHandlerProps>;
