"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Demo_1 = tslib_1.__importDefault(require("../demo/Demo"));
var react_2 = require("@storybook/react");
var addon_actions_1 = require("@storybook/addon-actions");
var PasswordInput_1 = require("./PasswordInput");
var pure_1 = require("../../utils/pure");
var PasswordInput_page_styl_1 = tslib_1.__importDefault(require("./PasswordInput.page.styl"));
var show_password_icon_1 = require("../../icons/show-password-icon");
var hide_password_icon_1 = require("../../icons/hide-password-icon");
var darkDemoTheme = {
    container: PasswordInput_page_styl_1.default.container,
};
var PasswordInputPage = /** @class */ (function (_super) {
    tslib_1.__extends(PasswordInputPage, _super);
    function PasswordInputPage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            value: 'test',
            isRevealed: false,
        };
        _this.onChange = function (value) {
            addon_actions_1.action('value changed')(value);
            _this.setState({
                value: value,
            });
        };
        _this.onReveal = function (isRevealed) {
            addon_actions_1.action('isRevealed changed')(isRevealed);
            _this.setState({
                isRevealed: isRevealed,
            });
        };
        return _this;
    }
    PasswordInputPage.prototype.render = function () {
        var isRevealed = this.state.isRevealed;
        return (react_1.default.createElement(Demo_1.default, { theme: darkDemoTheme },
            react_1.default.createElement("main", null,
                react_1.default.createElement("section", { className: PasswordInput_page_styl_1.default.form },
                    react_1.default.createElement(PasswordInput_1.PasswordInput, { onValueChange: this.onChange, IconShow: show_password_icon_1.ShowPasswordIcon, value: this.state.value, onReveal: this.onReveal, isRevealed: isRevealed, IconHide: hide_password_icon_1.HidePasswordIcon })))));
    };
    PasswordInputPage = tslib_1.__decorate([
        pure_1.PURE
    ], PasswordInputPage);
    return PasswordInputPage;
}(react_1.default.Component));
react_2.storiesOf('PasswordInput', module).add('default', function () { return react_1.default.createElement(PasswordInputPage, null); });
//# sourceMappingURL=PasswordInput.page.js.map