"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var use_subscription_1 = require("./use-subscription");
function useObservable(M) {
    var useSubscriptionM = use_subscription_1.useSubscription(M);
    return function (fa, initial) {
        var _a = react_1.useState(function () { return initial; }), value = _a[0], setValue = _a[1];
        var updater = react_1.useMemo(function () {
            return M.map(fa, function (a) {
                setValue(function () { return a; });
                return a;
            });
        }, [fa, setValue]);
        useSubscriptionM(updater);
        return value;
    };
}
exports.useObservable = useObservable;
//# sourceMappingURL=use-observable.js.map