"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var function_1 = require("fp-ts/lib/function");
var voidObserver = {
    next: function_1.constVoid,
    end: function_1.constVoid,
};
function useSubscription(M) {
    return function (fa) {
        var subscription = react_1.useMemo(function () { return M.subscribe(fa, voidObserver); }, [fa]);
        react_1.useEffect(function () { return function () { return subscription.unsubscribe(); }; });
    };
}
exports.useSubscription = useSubscription;
//# sourceMappingURL=use-subscription.js.map